Skip to content
Dashboard

Switch to tab

POST/computers/{id}/tabs/{tab_id}/switch

Switch the main/active tab to a different tab by ID (browser sessions only). Tab IDs come from ListTabs.

Path ParametersExpand Collapse
id: string
tab_id: string
ReturnsExpand Collapse
ActionResult = object { error_message, executed_tab_id, page_context, 4 more }
error_message: optional string
executed_tab_id: optional string
page_context: optional V2GoBackendInternalTypesPageContext { device_scale_factor, is_main_tab, page_height, 8 more }
device_scale_factor: optional number
is_main_tab: optional boolean
page_height: optional number
page_width: optional number
scroll_x: optional number
scroll_y: optional number
tab_id: optional string
title: optional string
url: optional string
viewport_height: optional number
viewport_width: optional number
request_id: optional string
result: optional map[unknown]
status: optional string
timestamp: optional string

Switch to tab

curl https://api.tzafon.ai/computers/$ID/tabs/$TAB_ID/switch \
    -X POST \
    -H "Authorization: Bearer $TZAFON_API_KEY"
{
  "error_message": "error_message",
  "executed_tab_id": "executed_tab_id",
  "page_context": {
    "device_scale_factor": 0,
    "is_main_tab": true,
    "page_height": 0,
    "page_width": 0,
    "scroll_x": 0,
    "scroll_y": 0,
    "tab_id": "tab_id",
    "title": "title",
    "url": "url",
    "viewport_height": 0,
    "viewport_width": 0
  },
  "request_id": "request_id",
  "result": {
    "foo": "bar"
  },
  "status": "status",
  "timestamp": "timestamp"
}
Returns Examples
{
  "error_message": "error_message",
  "executed_tab_id": "executed_tab_id",
  "page_context": {
    "device_scale_factor": 0,
    "is_main_tab": true,
    "page_height": 0,
    "page_width": 0,
    "scroll_x": 0,
    "scroll_y": 0,
    "tab_id": "tab_id",
    "title": "title",
    "url": "url",
    "viewport_height": 0,
    "viewport_width": 0
  },
  "request_id": "request_id",
  "result": {
    "foo": "bar"
  },
  "status": "status",
  "timestamp": "timestamp"
}